import SessionRepositoryREST from "./_infra/SessionRepositoryREST";
import PrintService from "./application/PrintService";
import RESTServer from "./_ui/RESTServer";
import config from "./config";


// Init database

const sessionRespository = new SessionRepositoryREST();
const sessionService = new PrintService(sessionRespository);

// Create RESTServer
const httpServer = new RESTServer(config.port, sessionService);

httpServer.start();
